const express = require('express');
const router = express.Router();
const authorize = require('../../../../middlewares/authorize-sapps');
const userActivityService = require('./userActivity.service');

router.post('/create', authorize(), create);
router.get('/', authorize(), getAll);
router.get('/filter', authorize(), filter);
router.get('/count', authorize(), count);
router.put('/:id', authorize(), update);
router.delete('/:id', authorize(), _delete);

module.exports = router;

function create(req, res, next) {
    userActivityService.create(req.body)
        .then(result => res.json(result))
        .catch(next);
}

function getAll(req, res, next) {
    userActivityService.getAll()
        .then(result => res.json(result))
        .catch(next);
}

function filter(req, res, next) {
    userActivityService.filter(req.query)
        .then(result => res.json(result))
        .catch(next);
}

function count(req, res, next) {
    userActivityService.count()
        .then(result => res.json(result))
        .catch(next);
}

function update(req, res, next) {
    userActivityService.update(req.params.id, req.body)
        .then(result => res.json(result))
        .catch(next);
}

function _delete(req, res, next) {
    userActivityService.delete(req.params.id)
        .then(result => res.json(result))
        .catch(next);
}
